Bug 1394240 - Review Request: perl-XML-Fast - Simple and very fast XML to hash conversion
Summary: Review Request: perl-XML-Fast - Simple and very fast XML to hash conversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394242
TreeView+ depends on / blocked
 
Reported: 2016-11-11 13:03 UTC by Petr Pisar
Modified: 2016-12-01 18:51 UTC (History)
2 users (show)

Fixed In Version: perl-XML-Fast-0.11-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 15:54:53 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-11-11 13:03:05 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-XML-Fast/perl-XML-Fast.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-XML-Fast/perl-XML-Fast-0.11-1.fc26.src.rpm
Description:
This Perl module implements simple, state machine based, XML parser
written in C. It could parse and recover some kind of broken XML's.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-11-15 13:44:21 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-XML-Fast-0.11-1.fc26.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.24()(64bit)
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(:VERSION) >= 5.8.8
      1 perl(Encode)
      1 perl(Exporter)
      1 perl(XSLoader)
      1 perl(base)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -qp --provides perl-XML-Fast-0.11-1.fc26.x86_64.rpm | sort | uniq -c
      1 perl(XML::Fast) = 0.11
      1 perl-XML-Fast = 0.11-1.fc26
      1 perl-XML-Fast(x86-64) = 0.11-1.fc26
Binary provides are Ok.

$ rpmlint /perl-XML-Fast*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2016-11-15 15:40:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-XML-Fast

Comment 3 Petr Pisar 2016-11-16 17:36:38 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2016-11-16 17:37:02 UTC
perl-XML-Fast-0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84113c90c6

Comment 5 Fedora Update System 2016-11-16 17:37:17 UTC
perl-XML-Fast-0.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd1dc9e5c3

Comment 6 Fedora Update System 2016-11-17 03:58:48 UTC
perl-XML-Fast-0.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd1dc9e5c3

Comment 7 Fedora Update System 2016-11-18 15:56:56 UTC
perl-XML-Fast-0.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84113c90c6

Comment 8 Fedora Update System 2016-11-21 15:02:38 UTC
perl-XML-Fast-0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84113c90c6

Comment 9 Fedora Update System 2016-11-23 23:05:06 UTC
perl-XML-Fast-0.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84113c90c6

Comment 10 Fedora Update System 2016-12-01 15:54:53 UTC
perl-XML-Fast-0.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-01 18:51:16 UTC
perl-XML-Fast-0.11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.